/*
 * server/graph/direct8.h, part of W
 * (C) 1994,95,96 by Torsten Scherer (TeSche)
 * itschere@techfak.uni-bielefeld.de
 *
 * prototypes for `direct8' graphic routines
 */

extern void direct8_mouseShow (MOUSEPOINTER *mptr);
extern void direct8_mouseHide (void);
extern void direct8_plot (BITMAP *bm, long x0, long y0);
extern long direct8_test (BITMAP *bm, long x0, long y0);
extern void direct8_line (BITMAP *bm, long x0, long y0, long xe, long ye);
extern void direct8_hline (BITMAP *bm, long x0, long y0, long xe);
extern void direct8_vline (BITMAP *bm, long x0, long y0, long ye);
extern void direct8_box (BITMAP *bm, long x0, long y0, long width, long height);
extern void direct8_pbox (BITMAP *bm, long x0, long y0, long width, long height);
extern void direct8_dvline (BITMAP *bm, long x0, long y0, long ye);
extern void direct8_dhline (BITMAP *bm, long x0, long y0, long xe);
extern void direct8_dbox (BITMAP *bm, long x0, long y0, long width, long height);
extern void direct8_dpbox (BITMAP *bm, long x0, long y0, long width, long height);
extern void direct8_bitblk (BITMAP *bm, long x0, long y0, long width, long height, BITMAP *bm1, long x1, long y1);
extern void direct8_scroll (BITMAP *bm, long x0, long y0, long width, long height, long y1);
extern void direct8_prints (BITMAP *bm, long x0, long y0, uchar *s);
extern void direct8_dplot (BITMAP *bm, long x0, long y0);
extern void direct8_dline (BITMAP *bm, long x0, long y0, long xe, long ye);
extern BITMAP *direct8_createbm(BITMAP *bm, short width, short height, short do_alloc);
