/*
 * lib/util.c, part of Wlib, part of W
 * (C) 94-07/96 by Torsten Scherer (TeSche)
 * itschere@techfak.uni-bielefeld.de
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "Wlib.h"
#include "proto.h"


#ifdef TRACE
int _wtrace = 0, _traceIndent = -2;

/* for TRACEPRINT macro */
void _wspaces(void)
{
  int spaces = _traceIndent;
  while(spaces-- > 0) {
    putchar(' ');	/* fputc(' ',stdout); */
  }
}
#endif

void w_trace(short flag)
{
#ifdef TRACE
  _wtrace = !!flag;

  TRACESTART();
  TRACEPRINT(("w_trace(%i)\n", flag));
  TRACEEND();
#else
  fprintf(stderr, "w_trace: tracing not implemented\n");
#endif
}

