/*
 * server/graph/gproto.h, part of w
 * (C) 94-04/96 by Torsten Scherer (TeSche)
 * itschere@techfak.uni-bielefeld.de
 *
 * prototypes for graphic routines
 *
 * CHANGES:
 * - added support for NetBSD-Amiga, Phx 02/96
 */


/* in atari.c */
extern SCREEN *atari_init(int forceMono);


/* in init.c */
extern ushort DefaultPattern[16];	/* 50% gray */
extern ushort BackGround[16];		/* screen background */
extern SCREEN *theScreen;		/* should be same as glob_screen */
extern int FirstPoint;			/* line: draw first point */
extern SCREEN *screen_init(int forceMono);
extern REC *clip0, *clip1;
extern GCONTEXT *gc0;
/*
 * These could be used for all kinds of operations where a temporary bitmap
 * is needed.
 */
extern BITMAP bitmapTmp;
extern REC clipTmp;


/* in ../mouse.c */
extern MOUSE glob_mouse;


/* in sun.c */
extern SCREEN *sun_init();

/* in freebsd.c */
extern SCREEN *freebsd_init();


/* in netbsd_amiga.c */
extern SCREEN *netbsd_amiga_init();

/* in svgalib.c */
extern SCREEN *svgalib_init();
